### Function

# GObject Closure new_object

#### Declaration [src]

    GClosure*
    g_closure_new_object (
      guint sizeof_closure,
      GObject* object
    )

#### Description [src]

A variant of `g_closure_new_simple()` which stores `object` in the `data` field of the closure and calls `g_object_watch_closure()` on `object` and the created closure. This function is mainly useful when implementing new types of closures.

#### Parameters

`sizeof_closure`

  Type: `guint`

  The size of the structure to allocate, must be at least `sizeof (GClosure)`.

`object`

  Type: `GObject`

  A `GObject` pointer to store in the `data` field of the newly allocated `GClosure`.

  The data is owned by the caller of the function.

#### Return value

Type: `GClosure`

A newly allocated `GClosure`.

The data is owned by the called function.